#!/usr/bin/perl 

# Copyright - Fletcher Cocquyt - fletch@med.stanford.edu
# 15 January 2004 under the GPL license agreement!
#
# Version 0.1 - PLEASE SEE INSTALL.txt for more information.
#
# USAGE:
#
# perl netscreen_stats.pl <hostname>
#
# <hostname> is optional and can be an IP address or host name.
#            If none is given, "localhost" is assumed.
#

my $hostname = $ARGV[0];
my $community = $ARGV[1];

chomp $hostname;
chomp $community;

if ($hostname eq '') {
        $hostname = "localhost";
}


$output = `snmpwalk -v 1 -c $community $hostname .1.3.6.1.4.1.3224.16 `;

$output =~ /SNMPv2-SMI::enterprises.3224.16.1.2.0 = INTEGER: (.*)/; 
print "cpu1:".$1." "; 
$output =~ /SNMPv2-SMI::enterprises.3224.16.1.3.0 = INTEGER: (.*)/; 
print "cpu5:".$1." "; 
$output =~ /SNMPv2-SMI::enterprises.3224.16.1.4.0 = INTEGER: (.*)/; 
print "cpu15:".$1." "; 
$output =~ /SNMPv2-SMI::enterprises.3224.16.2.1.0 = INTEGER: (.*)/;
print "memory_allocated:".$1." ";             
$output =~ /SNMPv2-SMI::enterprises.3224.16.2.2.0 = INTEGER: (.*)/; 
print "memoryAvailable:".$1." "; 
$output =~ /SNMPv2-SMI::enterprises.3224.16.2.3.0 = INTEGER: (.*)/; 
print "memoryFragmented:".$1." "; 
$output =~ /SNMPv2-SMI::enterprises.3224.16.3.2.0 = INTEGER: (.*)/; 
print "sessionsAllocated:".$1." "; 
$output =~ /SNMPv2-SMI::enterprises.3224.16.3.3.0 = INTEGER: (.*)/;
print "sessionsMaximum:".$1." ";                                                                                   
$output =~ /SNMPv2-SMI::enterprises.3224.16.3.4.0 = INTEGER: (.*)/; 
print "sessionsFailed:".$1." ";
